<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 16:49:45 CET 2021 -->
<title>TypeDeGraine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="declaration: package: fr.humanbooster.max.gestion_de_sachets.business, class: TypeDeGraine">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/TypeDeGraine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.humanbooster.max.gestion_de_sachets.business</a></div>
<h1 title="Class TypeDeGraine" class="title">Class TypeDeGraine</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.humanbooster.max.gestion_de_sachets.business.TypeDeGraine</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">TypeDeGraine</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">TypeDeGraine</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String)">TypeDeGraine</a></span>&#8203;(java.lang.String&nbsp;nom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille)">TypeDeGraine</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille,java.lang.String)">TypeDeGraine</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille,
java.lang.String&nbsp;conseils)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille,java.lang.String,java.lang.Integer,java.lang.Integer,java.lang.Float,java.lang.Float)">TypeDeGraine</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille,
java.lang.String&nbsp;conseils,
java.lang.Integer&nbsp;semaineDePlantationMin,
java.lang.Integer&nbsp;semaineDePlantationMax,
java.lang.Float&nbsp;espacementEntrePiedsEnCentimetres,
java.lang.Float&nbsp;espacementEntreLignesEnCentimetres)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getConseils()">getConseils</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>java.lang.Float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEspacementEntreLignesEnCentimetres()">getEspacementEntreLignesEnCentimetres</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.lang.Float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEspacementEntrePiedsEnCentimetres()">getEspacementEntrePiedsEnCentimetres</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>java.lang.Long</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getId()">getId</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNom()">getNom</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.util.List&lt;<a href="Sachet.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Sachet</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSachets()">getSachets</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>java.lang.Integer</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSemaineDePlantationMax()">getSemaineDePlantationMax</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>java.lang.Integer</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSemaineDePlantationMin()">getSemaineDePlantationMin</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setConseils(java.lang.String)">setConseils</a></span>&#8203;(java.lang.String&nbsp;conseils)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setEspacementEntreLignesEnCentimetres(java.lang.Float)">setEspacementEntreLignesEnCentimetres</a></span>&#8203;(java.lang.Float&nbsp;espacementEntreLignesEnCentimetres)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setEspacementEntrePiedsEnCentimetres(java.lang.Float)">setEspacementEntrePiedsEnCentimetres</a></span>&#8203;(java.lang.Float&nbsp;espacementEntrePiedsEnCentimetres)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setId(java.lang.Long)">setId</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setNom(java.lang.String)">setNom</a></span>&#8203;(java.lang.String&nbsp;nom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSachets(java.util.List)">setSachets</a></span>&#8203;(java.util.List&lt;<a href="Sachet.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Sachet</a>&gt;&nbsp;sachets)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSemaineDePlantationMax(java.lang.Integer)">setSemaineDePlantationMax</a></span>&#8203;(java.lang.Integer&nbsp;semaineDePlantationMax)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSemaineDePlantationMin(java.lang.Integer)">setSemaineDePlantationMin</a></span>&#8203;(java.lang.Integer&nbsp;semaineDePlantationMin)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>TypeDeGraine</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">TypeDeGraine</span>()</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String)">
<h3>TypeDeGraine</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">TypeDeGraine</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille)">
<h3>TypeDeGraine</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">TypeDeGraine</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille,java.lang.String)">
<h3>TypeDeGraine</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">TypeDeGraine</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille,
java.lang.String&nbsp;conseils)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,fr.humanbooster.max.gestion_de_sachets.business.Famille,java.lang.String,java.lang.Integer,java.lang.Integer,java.lang.Float,java.lang.Float)">
<h3>TypeDeGraine</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">TypeDeGraine</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom,
<a href="Famille.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Famille</a>&nbsp;famille,
java.lang.String&nbsp;conseils,
java.lang.Integer&nbsp;semaineDePlantationMin,
java.lang.Integer&nbsp;semaineDePlantationMax,
java.lang.Float&nbsp;espacementEntrePiedsEnCentimetres,
java.lang.Float&nbsp;espacementEntreLignesEnCentimetres)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getId()">
<h3>getId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Long</span>&nbsp;<span class="member-name">getId</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setId(java.lang.Long)">
<h3>setId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setId</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSachets()">
<h3>getSachets</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Sachet.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Sachet</a>&gt;</span>&nbsp;<span class="member-name">getSachets</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSachets(java.util.List)">
<h3>setSachets</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSachets</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Sachet.html" title="class in fr.humanbooster.max.gestion_de_sachets.business">Sachet</a>&gt;&nbsp;sachets)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNom()">
<h3>getNom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getNom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setNom(java.lang.String)">
<h3>setNom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setNom</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSemaineDePlantationMin()">
<h3>getSemaineDePlantationMin</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Integer</span>&nbsp;<span class="member-name">getSemaineDePlantationMin</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSemaineDePlantationMin(java.lang.Integer)">
<h3>setSemaineDePlantationMin</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSemaineDePlantationMin</span>&#8203;(<span class="parameters">java.lang.Integer&nbsp;semaineDePlantationMin)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSemaineDePlantationMax()">
<h3>getSemaineDePlantationMax</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Integer</span>&nbsp;<span class="member-name">getSemaineDePlantationMax</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSemaineDePlantationMax(java.lang.Integer)">
<h3>setSemaineDePlantationMax</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSemaineDePlantationMax</span>&#8203;(<span class="parameters">java.lang.Integer&nbsp;semaineDePlantationMax)</span></div>
</section>
</li>
<li>
<section class="detail" id="getEspacementEntrePiedsEnCentimetres()">
<h3>getEspacementEntrePiedsEnCentimetres</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Float</span>&nbsp;<span class="member-name">getEspacementEntrePiedsEnCentimetres</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setEspacementEntrePiedsEnCentimetres(java.lang.Float)">
<h3>setEspacementEntrePiedsEnCentimetres</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setEspacementEntrePiedsEnCentimetres</span>&#8203;(<span class="parameters">java.lang.Float&nbsp;espacementEntrePiedsEnCentimetres)</span></div>
</section>
</li>
<li>
<section class="detail" id="getEspacementEntreLignesEnCentimetres()">
<h3>getEspacementEntreLignesEnCentimetres</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Float</span>&nbsp;<span class="member-name">getEspacementEntreLignesEnCentimetres</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setEspacementEntreLignesEnCentimetres(java.lang.Float)">
<h3>setEspacementEntreLignesEnCentimetres</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setEspacementEntreLignesEnCentimetres</span>&#8203;(<span class="parameters">java.lang.Float&nbsp;espacementEntreLignesEnCentimetres)</span></div>
</section>
</li>
<li>
<section class="detail" id="getConseils()">
<h3>getConseils</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getConseils</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setConseils(java.lang.String)">
<h3>setConseils</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setConseils</span>&#8203;(<span class="parameters">java.lang.String&nbsp;conseils)</span></div>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/TypeDeGraine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
